svn commit: trunk/busybox/testsuite

aldot at busybox.net aldot at busybox.net
Thu Oct 6 12:50:11 UTC 2005


Author: aldot
Date: 2005-10-06 05:50:11 -0700 (Thu, 06 Oct 2005)
New Revision: 11788

Log:
- add a few basic tests for pidof(8)


Added:
   trunk/busybox/testsuite/pidof.tests


Changeset:
Added: trunk/busybox/testsuite/pidof.tests
===================================================================
--- trunk/busybox/testsuite/pidof.tests	2005-10-06 12:48:03 UTC (rev 11787)
+++ trunk/busybox/testsuite/pidof.tests	2005-10-06 12:50:11 UTC (rev 11788)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# pidof tests.
+# Copyright 2005 by Bernhard Fischer
+# Licensed under GPL v2, see file LICENSE for details.
+
+# AUDIT: 
+
+[ ${#COMMAND} -eq 0 ] && COMMAND=pidof
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+
+testing "pidof (exit with error)" "veryunlikelyoccuringbinaryname ; echo \$?" \
+	"\n1\n" "" ""
+testing "pidof (exit with success)" "pidof > /dev/null; echo \$?" "0\n" "" ""
+
+
+# Depends on FEATURE_PIDOF_SINGLE
+_BB_CONFIG_DEP=FEATURE_PIDOF_SINGLE
+testing "pidof -s" "-s $(basename $0) ; echo -n \$?" \
+	"$(pidof -s $(basename $0) ; echo -n $?)" "" ""
+
+# Depends on FEATURE_PIDOF_OMIT
+_BB_CONFIG_DEP=FEATURE_PIDOF_OMIT
+testing "pidof -o %PPID" "$(basename $0) -o %PPID ; echo -n \$?" \
+	"$(pidof $(basename $0) -o %PPID ; echo -n $?)" "" ""
+
+exit $FAILCOUNT


Property changes on: trunk/busybox/testsuite/pidof.tests
___________________________________________________________________
Name: svn:executable
   + *




More information about the busybox-cvs mailing list